Table of Contents

Class: ProcessWriter | Twisted-0.17.4/twisted/internet/process.py
--- | ---

### (Internal) Helper class to write to Process's stdin.

I am a helper which describes a selectable asynchronous writer to a process's stdin.

Base Classes |
--- | ---
abstract.FileDescriptor styles.Ephemeral

Methods |
--- | ---
__init__ connectionLost doRead fileno writeSomeData
| __init__

    __init__ ( self,  proc )

Initialize, specifying a Process instance to connect to.

| connectionLost

    connectionLost ( self )

See abstract.FileDescriptor.connectionLost.

| doRead

    doRead ( self )

This will raise an exception, as doRead should never be called.

Exceptions |
--- | ---
"doRead is illegal on a processWriter"

| fileno

    fileno ( self )

Return the fileno() of my process's stdin.

| writeSomeData

    writeSomeData ( self,  data )

Write some data to the open process.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0